-# Copyright (c) 2009-2010 IBM Corp. and Others. All Rights Reserved
+# Copyright (c) 2009-2013 IBM Corp. and Others. All Rights Reserved
# multicu/c makefile
all:
$(BLD)/r%/$(S_BLD): $(BLD)/r%/$(S_SRC)
-mkdir -p $(INS)
-chmod a+rx $(BLD)/r$*/icu/source/configure $(BLD)/r$*/icu/source/runConfigureICU
- ( cd $(BLD)/r$*/icu/source ; `$(ICUCONF) "$(BLD)/r$*/icu/source" "$*"` --enable-renaming --enable-shared --disable-static --enable-release --disable-debug --prefix=$(INS)/r$* )
+ ( cd $(BLD)/r$*/icu/source ; env CPPFLAGS="$(XTRA_RICU_CPPFLAGS)" `$(ICUCONF) "$(BLD)/r$*/icu/source" "$*"` --enable-renaming --enable-shared --disable-static --enable-release --disable-debug --prefix=$(INS)/r$* )
touch -c $@
$(BLD)/%/$(S_BLD): $(BLD)/%/$(S_SRC)
-mkdir -p $(INS)
-chmod a+rx $(BLD)/$*/icu/source/configure $(BLD)/$*/icu/source/runConfigureICU
- ( cd $(BLD)/$*/icu/source ; `$(ICUCONF) "$(BLD)/$*/icu/source" "$*"` --disable-renaming --enable-shared --disable-static --enable-release --disable-debug --prefix=$(INS)/$* )
+ ( cd $(BLD)/$*/icu/source ; env CPPFLAGS="$(XTRA_ICU_CPPFLAGS)" `$(ICUCONF) "$(BLD)/$*/icu/source" "$*"` --disable-renaming --enable-shared --disable-static --enable-release --disable-debug --prefix=$(INS)/$* )
touch -c $@
$(INS)/%/bin/$(TARGET): $(INS)/%/$(S_INS) $(SRCS)
- -rm -rf ./$(BLD)/$*/tmp
+# Don't delete the built version.
+# -rm -rf ./$(BLD)/$*/tmp
mkdir ./$(BLD)/$*/tmp
@for file in $(OBJECTS); \
do \
what=`basename $$file .o` ; \
echo compiling $*/$$what ; \
+ echo $(CXX) -c -o ./$(BLD)/$*/tmp/$$what.o $$what.cpp -I $(INS)/$*/include -I $(BLD)/$*/icu/source/tools/toolutil ; \
$(CXX) -c -o ./$(BLD)/$*/tmp/$$what.o $$what.cpp -I $(INS)/$*/include -I $(BLD)/$*/icu/source/tools/toolutil ; \
done
$(CXX) -o $@ $(OBJECTS:%.o=./$(BLD)/$*/tmp/%.o) -licudata -licuuc -licutu -licui18n -L$(INS)/$*/lib
-# Copyright (c) 2008-2012 IBM Corp. and Others. All Rights Reserved
+# -*- makefile -*-
+# Copyright (c) 2008-2013 IBM Corp. and Others. All Rights Reserved
include $(MULTICU_ROOT)/common/Makefile-multi.inc
@for file in $(CXX_OBJECTS); \
do \
what=`basename $$file .o` ; \
+ echo tools=$(C_BLD)/$*/icu/source/tools/toolutil ; \
echo compiling '(C++)' $*/$$what ; \
+ echo `$(C_INS)/$*/bin/icu-config --cxx` `$(C_INS)/$*/bin/icu-config --cxxflags` $(DEBUGOPT) -c -o $(C_INS)/$*/tmp/$$what.o $$what.cpp -I $(C_INS)/$*/include -I $(C_BLD)/$*/icu/source/tools/toolutil ; \
`$(C_INS)/$*/bin/icu-config --cxx` `$(C_INS)/$*/bin/icu-config --cxxflags` $(DEBUGOPT) -c -o $(C_INS)/$*/tmp/$$what.o $$what.cpp -I $(C_INS)/$*/include -I $(C_BLD)/$*/icu/source/tools/toolutil || \
$(CXX) $(DEBUGOPT) -c -o $(C_INS)/$*/tmp/$$what.o $${what}.cpp -I $(C_INS)/$*/include -I $(C_BLD)/$*/icu/source/tools/toolutil ; \
done
done
endif
@echo linking $*/$$what
- @`$(C_INS)/$*/bin/icu-config --cxx` `$(C_INS)/$*/bin/icu-config --ldflags ` $(DEBUGOPT) -o $@ $(OBJECTS:%.o=$(C_INS)/$*/tmp/%.o) -licudata -licuuc -licutu -licui18n -licuio -L$(C_INS)/$*/lib || \
+ @echo `$(C_INS)/$*/bin/icu-config --cxx` `$(C_INS)/$*/bin/icu-config --ldflags ` $(DEBUGOPT) -o $@ $(OBJECTS:%.o=$(C_INS)/$*/tmp/%.o) -licudata -licuuc -licutu -licui18n -licuio -L$(C_INS)/$*/lib
+ @`$(C_INS)/$*/bin/icu-config --cxx` -Wl,--verbose `$(C_INS)/$*/bin/icu-config --ldflags ` $(DEBUGOPT) -o $@ $(OBJECTS:%.o=$(C_INS)/$*/tmp/%.o) -licudata -licuuc -licutu -licui18n -licuio -L$(C_INS)/$*/lib || \
$(CXX) $(DEBUGOPT) -o $@ $(OBJECTS:%.o=$(C_INS)/$*/tmp/%.o) -licudata -licuuc -licutu -licui18n -licuio -L$(C_INS)/$*/lib
-# Copyright (c) 2008-2009 IBM Corp. and Others. All Rights Reserved
-
-include $(MULTICU_ROOT)/Makefile-multi.inc
-ICUS=$(MULTICU_ROOT)/icus
+# -*- makefile -*-
+# Copyright (c) 2008-2013 IBM Corp. and Others. All Rights Reserved
+include $(MULTICU_ROOT)/common/Makefile-multi.inc
+ICUS=$(MULTICU_ROOT)/packages
J_GOOD:=$(shell [ -d $(ICUS) ] && (cd $(ICUS) ; ls -d icu4j-*.jar | cut -d- -f2 | cut -d. -f1))
#J_GOOD=$(ICU4JVERS:%=$(ICUS)/icu4j-%.jar)
--- /dev/null
+#!/bin/sh
+# Copyright (c) 2008-2013 IBM Corp. and Others. All Rights Reserved
+if [ ! -x $1 ];
+then
+ echo usage: $0 path/to/bin/java
+ exit 1
+fi
+
+if ! $1 -version > /dev/null ;
+then
+ echo could not run $1
+ exit 2
+fi
+
+if ! ( $1 -version 2>&1 | grep -q "java version" );
+then
+ echo could not get java version from $1
+ exit 3
+fi
+
+VER=`$1 -version 2>&1 | grep "java version" | head -1 | sed -e 's%^java version "\([^"]*\)\".*$%\1%'`
+VERD=`echo $VER | tr . _`
+
+echo $1 = $VER / $VERD
+
+FILE="$VERD.sh"
+
+if [ -f $FILE ];
+then
+ FILE="${VERD}_$$.sh"
+ echo "$VERD.sh existed, renaming to $FILE - rename to something sane if you want"
+fi
+
+JHOME=`dirname $1`
+JHOME=`dirname $JHOME`
+
+echo "#!/bin/sh" > $FILE
+echo "# auto generated for $VER from $1 / addjava.sh" >> $FILE
+echo "JAVA_HOME=$JHOME" >> $FILE
+echo >> $FILE
+echo >> $FILE
+$1 -version 2>&1 | sed -e 's%^%#%' >> $FILE
+
+chmod a+rx $FILE
+
+echo
+echo "Created: $FILE"
+
+
+
+
+
--- /dev/null
+#!/bin/sh
+# Copyright (c) 2008-2013 IBM Corp. and Others. All Rights Reserved
+set -x
+rm *.jvm.sh
--- /dev/null
+#!/bin/sh
+# Copyright (c) 2008-2013 IBM Corp. and Others. All Rights Reserved
+VER=/System/Library/Frameworks/JavaVM.framework/Versions
+if [ ! -d "${VER}" ];
+then
+ echo err, cant find ${VER} - are you really on a mac?
+ exit 1
+fi
+
+VERS=`cd ${VER};ls -d [0-9]*`
+
+for aver in ${VERS};
+do
+ if [ ! -x ${VER}/${aver}/Home/bin/java ]; then
+ continue
+ fi
+ if ! ${VER}/${aver}/Home/bin/java -version 2> /dev/null; then
+ continue
+ fi
+ VERNUM=`echo "${aver}" | tr '.' '_'`
+ F=${VERNUM}.jvm.sh
+ echo "# ${F} from ${VER}/${aver}"
+ cat > ${F} <<EOF
+JAVA_HOME=${VER}/${aver}/Home
+EOF
+ chmod a+rx ${F}
+
+ if ! ./test.sh ${F}; then
+ rm ${F}
+ echo "# Deleted: ${F} due to failure"
+ fi
+done
--- /dev/null
+#!/bin/sh
+# Copyright (c) 2008-2013 IBM Corp. and Others. All Rights Reserved
+if [ ! -x ${1} ];
+then
+ echo could not exec ${1}
+ echo usage: ${0} something.jvm.sh blah
+ exit 1
+fi
+#JAVA_HOME=/somewhere/1_6
+JAVA=java
+#CLASSPATH=foo/bar.jar:/baz
+#VM_OPTS=-Xmx265
+
+. "${1}"
+
+
+set -x
+${JAVA_HOME}/bin/${JAVA} ${VM_OPTS} -classpath ${CLASSPATH}:${2} ${3}
--- /dev/null
+# Copyright (c) 2008-2013 IBM Corp. and Others. All Rights Reserved
+
+Put '.sh' files in this dir , locally, to be used for Java version bringup
+See addjava below
+
+ex: '1_6.sh'
+------
+JAVA_HOME=/somewhere/1_6
+#JAVA=java
+#CLASSPATH=foo/bar.jar:/baz
+#VM_OPTS=-Xmx265
+-----
+
+
+You can use the addjava.sh tool, like this - give it the full path to 'java':
+
+ $ addjava.sh /opt/IBM-JDK-1.5/bin/java
+ Created 1_5.sh
+
+IF 1_5.sh alreday exists, a random number will be added to the name of the new file.
+
--- /dev/null
+#!/bin/sh
+# Copyright (c) 2008-2013 IBM Corp. and Others. All Rights Reserved
+if [ ! -x ${1} ];
+then
+ echo could not exec ${1}
+ echo usage: ${0} something.sh
+ exit 1
+fi
+set -x
+. "${1}"
+
+${JAVA_HOME}/bin/java -version 2>/dev/null
# -*- makefile -*-
-# Copyright (C) 2008-2012 IBM Corporation and Others. All Rights Reserved.
+# Copyright (C) 2008-2013 IBM Corporation and Others. All Rights Reserved.
CPPFLAGS+=-DU_DISABLE_RENAMING=1 -I. -I/xsrl/IIE/include -I/xsrl/E/icu/source/tools/toolutil
+# TODO - where to get uoptions.h?
OBJECTS=testxml.o xmlout.o
CXX_SOURCES:=$(OBJECTS:%.o=%.cpp)
C_SOURCES=